
local addon  = KiwiPlates
local widget = addon:newWidget( 'HealthLow', { 'health' } )
local Notify = addon.Notify
local SendColor = addon.SendColor
local unpack = unpack

local Update

local function Update1(kPlate, bPlate)
	if bPlate.vReaction == 'hostile' then
		local db = addon.theme.HealthLow
		local isHealthLow = bPlate.vHealth <= db.percent
		if isHealthLow ~= kPlate.isHealthLow then
			kPlate.isHealthLow = isHealthLow
			SendColor.HealthLow(kPlate, isHealthLow and db.color)
		end
	end	
end

local function Update2(kPlate, bPlate)
	if bPlate.vReaction == 'hostile' then
		local db = addon.theme.HealthLow
		local vHealth = bPlate.vHealth
		local isHealthLow = kPlate.isHealthLow
		if vHealth <= db.percentLow then
			if isHealthLow~=0 then
				kPlate.isHealthLow = 0
				SendColor.HealthLow(kPlate, db.colorLow)
			end	
		elseif vHealth <= db.percentMedium then
			if isHealthLow~=1 then
				kPlate.isHealthLow = 1
				SendColor.HealthLow(kPlate, db.colorMedium)
			end	
		elseif isHealthLow then
			kPlate.isHealthLow = nil
			SendColor.HealthLow(kPlate)
		end
	end	
end

local function Hide(kPlate)
	kPlate.isHealthLow = nil
end

function widget:OnEnable(addon, theme)
	local db = theme.HealthLow
	Update = db.percentMedium<=db.percentLow and Update1 or Update2
	addon.RegisterNotify( 'PlateShow', Update)
	addon.RegisterNotify( 'PlateHealthUpdate', Update)	
	addon.RegisterNotify( 'PlateHide', Hide)
	addon.RegisterColorSender( 'HealthLow', db.colorReceivers, db.colorPriority or 3)	
end

function widget:OnDisable(addon)
	addon.UnregisterNotify( 'PlateShow', Update)
	addon.UnregisterNotify( 'PlateHealthUpdate', Update)	
	addon.UnregisterNotify( 'PlateHide', Hide)
	addon.UnregisterColorSender( 'HealthLow' )
end
