
local addon  = KiwiPlates
local widget = addon:newWidget( 'Threat', nil, { 'AceEvent-3.0' } )
local SendColor = addon.SendColor
local PlateSendToBack   = addon.PlateSendToBack
local PlateBringToFront = addon.PlateBringToFront

local threatDB, btf, tankMode

local function Update(kPlate,bPlate)
	if bPlate.vReaction ~= 'friendly' then
		local threat = bPlate.vThreat
		SendColor.Threat( kPlate, threat and threatDB.colors[threat] )
		if tankMode ~= nil then
			if threat == 'aggroed' or tankMode == (not threat) then
				PlateBringToFront( kPlate, bPlate, 'Threat')
			else
				PlateSendToBack( kPlate, bPlate, 'Threat')
			end	
		end
	else
		SendColor.Threat( kPlate )
	end	
end

local function CombatStartEvent()
	tankMode = (addon.PlayerRole == 'TANK')
	if tankMode then
		for _,kPlate in next, addon.kvPlates do
			Update(kPlate, kPlate.bPlate)
		end
	end
end

local function CombatEndEvent()
	tankMode = nil
end

function widget:GetStatuses(addon, theme)
	return theme.Threat.offtankEnabled and { 'threat', 'reaction', 'roster' } or { 'threat', 'reaction' }
end

function widget:OnEnable(addon, theme)
	local db = theme.Threat
	threatDB, btf = db, db.bringToFront
	if btf then
		self:RegisterEvent('PLAYER_REGEN_DISABLED', CombatStartEvent)
		self:RegisterEvent('PLAYER_REGEN_ENABLED', CombatEndEvent)
	end	
	addon.RegisterNotify( 'PlateShow', Update )
	addon.RegisterNotify( 'PlateThreatUpdate', Update )
	addon.RegisterColorSender( 'Threat', db.colorReceivers, db.colorPriority or 5)
	self.statuses.threat:EnableOffTankThreat(db.offtankEnabled)		
end

function widget:OnDisable(addon)
	if btf then
		self:UnregisterEvent('PLAYER_REGEN_DISABLED')
		self:UnregisterEvent('PLAYER_REGEN_ENABLED')
	end	
	addon.UnregisterNotify( 'PlateShow', Update )
	addon.UnregisterNotify( 'PlateThreatUpdate', Update )
	addon.UnregisterColorSender( 'Threat' )
end
