
local status = KiwiPlates:newStatus( 'health' )
local Notify = KiwiPlates.Notify

local function SetValue(bHealthBar, value)
	local bPlate = bHealthBar.bPlate
	local kPlate = bPlate.kPlate
	if kPlate then
		bPlate.vHealth = value
		Notify.PlateHealthUpdate( kPlate, bPlate )
	end	
end

local function PlateShow(bPlate)
	bPlate.vHealth = bPlate.bHealthBar:GetValue()
end

local function PlateCreate(bPlate)
	local bHealthBar  = bPlate.bHealthBar
	bHealthBar.bPlate = bPlate
	bHealthBar:HookScript( 'OnValueChanged', SetValue )
end

function status:OnEnable(addon, dbx)
	for _,bPlate in next,addon.bPlates do
		if not bPlate.bHealthBar.bPlate then
			PlateCreate( bPlate ) 
		end	
	end	
	addon.RegisterNotify( 'bPlateShow'    , PlateShow )	
	addon.RegisterNotify( 'bPlateCreate'  , PlateCreate )
end

function status:OnDisable(addon)
	addon.UnregisterNotify( 'bPlateShow'   , PlateShow )
	addon.UnregisterNotify( 'bPlateCreate' , PlateCreate )
end
