
local status   = KiwiPlates:newStatus( 'reaction' )
local Notify   = KiwiPlates.Notify
local bvPlates = KiwiPlates.bvPlates

local function Update(bPlate)
	local reaction
    local r, g, b = bPlate.bHealthBar:GetStatusBarColor()
	if r==0 and ((g>0.9 and b==0) or (b>0.9 and g==0) ) then		
		reaction = 'friendly' 	
	elseif b==0 and r+g>1.8 then
		reaction = 'neutral'
	elseif r<0.6 and r+g==r+b then
		reaction = 'tapped'
	else
		reaction = 'hostile'
	end
	bPlate.vReaction = reaction
	return reaction
end

local function UpdateAllPlates()
	for i=#bvPlates,1,-1 do 
		local bPlate = bvPlates[i]
		local reaction = bPlate.vReaction
		if Update(bPlate) ~= reaction then
			Notify.PlateReactionUpdate( bPlate.kPlate, bPlate )
		end	
	end
end

function status:OnEnable(addon, dbx)
	addon.RegisterNotify( 'bPlateShow', Update )
	addon.RegisterNotify( 'Update', UpdateAllPlates )
end

function status:OnDisable(addon)
	addon.UnregisterNotify( 'bPlateShow', Update )
	addon.UnregisterNotify( 'Update', UpdateAllPlates )
end
