local addon  = KiwiPlates
local widget = addon:newWidget( 'ClassificationIcon', { 'classification' } )

local colors 

local function Show(kPlate,bPlate)
	local Icon = kPlate.ClassificationIcon
	if Icon then
		local type = bPlate.vType
		if kPlate.db.ClassificationIcon.display[type] then
			Icon:SetVertexColor( unpack( colors[type] ) )
			Icon:Show()
		else
			Icon:Hide()
		end
	end
end

local function Create(kPlate)
	local db = kPlate.db.ClassificationIcon
	if db then
		local Icon = kPlate.ClassificationIcon or kPlate:CreateTexture()
		Icon:SetDrawLayer( 'OVERLAY', 7)
		Icon:ClearAllPoints()
		Icon:SetPoint('CENTER', db.left or 0, db.top or 0)
		Icon:SetSize( db.width, db.height )
		Icon:SetTexture( db.filename or "Interface\\Addons\\KiwiPlates\\media\\star" )
		kPlate.ClassificationIcon = Icon
	end	
end

function widget:OnEnable(addon)
	local Classification = addon.theme.Classification
	colors = Classification and Classification.colors or addon.defaults.colors.Classification
	addon.RegisterNotify( 'PlateCreate', Create )
	addon.RegisterNotify( 'PlateShow', Show )
end

function widget:OnDisable(addon)
	addon.UnregisterNotify( 'PlateCreate', Create )
	addon.UnregisterNotify( 'PlateShow', Show )
end
