local media    = LibStub("LibSharedMedia-3.0", true)
local addon    = KiwiPlates
local widget   = addon:newWidget( 'NameText' )

local unpack = unpack

local function Show(kPlate,bPlate)
	local NameText = kPlate.NameText
	if NameText then
		NameText:SetText( bPlate.vName )
	end
end

local function Create(kPlate)
	local db = kPlate.db.NameText
	if db then
		local NameText = kPlate.NameText or kPlate:CreateFontString(nil, 'ARTWORK')
		NameText.defaultColor = db.fontColor
		NameText:SetFont( media:Fetch('font', db.fontName), db.fontSize, db.fontFlags)
		NameText:SetTextColor( unpack(db.fontColor) )	
		NameText:SetSize( db.width or kPlate.width, db.height or kPlate.height )
		NameText:SetJustifyH( db.JustifyH )
		NameText:SetJustifyV( db.JustifyV )	
		NameText:SetMaxLines(1) 
		NameText:SetPoint( 'CENTER', db.left or 0, db.top or 0 )
		NameText.SetColor = db.acceptColors and NameText.SetTextColor or nil
		kPlate.NameText = NameText
	end	
end

function widget:OnEnable(addon)
	addon.RegisterNotify( 'PlateCreate', Create )
	addon.RegisterNotify( 'PlateShow', Show )
end

function widget:OnDisable(addon)
	addon.UnregisterNotify( 'PlateCreate', Create )
	addon.UnregisterNotify( 'PlateShow', Show )
end
