
local addon = KiwiPlatesOptions

addon:RegisterWidgetDefaults( 'Plate', {
	left = 0, top = 0, width = 150, height = 20,
	disableHighlight = false,
} )

addon:RegisterWidgetDefaults( 'HealthBar', {
 	left = 0, top = 0,	width = 130, height = 20,
	barTexture = 'Blizzard',
	backColor = { 0.2, 0.2, 0.2, 1 },
	borderSize = 1,
	borderColor = { 0, 0, 0, 1 },
} )

addon:RegisterWidgetDefaults( 'HealthText', {
	left = 0, top = 0,	width = 130, height = 20,
	fontName = 'Friz Quadrata TT',
	fontColor = { 1,1,1,1 },		
	fontSize =  9,
	fontFlags = 'OUTLINE',
	JustifyH = 'CENTER',
	JustifyV = 'MIDDLE',
	textFormat = 3,	__textFormat = { 'Percent', 'Health', 'Health|Percent', 'Percent|Health' },	
	hideAtFullHealth = false,
	acceptColors = true,
} )

addon:RegisterWidgetDefaults( 'ClassificationText', {
	left = 0, top = 0,	width = 130, height = 20,
	fontName = 'Friz Quadrata TT',
	fontColor = { 1,1,1,1 },		
	fontSize =  9,
	fontFlags = 'OUTLINE',
	JustifyH = 'CENTER',
	JustifyV = 'MIDDLE',
	displayUnitLevel = false,
	acceptColors = true,	
} )

addon:RegisterWidgetDefaults( 'NameText', {
	left = 0, top = 14,	width = 130, height = 20,
	fontName = 'Friz Quadrata TT',
	fontColor = { 1,1,1,1 },
	fontSize =  9,
	fontFlags = 'OUTLINE',
	JustifyH = 'CENTER',
	JustifyV = 'MIDDLE',
	acceptColors = true,	
} )

addon:RegisterWidgetDefaults( 'LevelText', {
 	left = 0, top = 0,	width = 130, height = 20,
	fontName = 'Friz Quadrata TT',
	fontColor = { 1,1,1,1 },
	fontSize =  9,
	fontFlags = 'OUTLINE',
	JustifyH = 'RIGHT',
	JustifyV = 'MIDDLE',
	acceptColors = true,	
} )

addon:RegisterWidgetDefaults( 'TargetIcon', {
	left = 0, top = 0,	width = 16, height = 16,
} )


addon:RegisterWidgetDefaults( 'ClassificationIcon', {
	 acceptColors = true,
	 left = -50, top = 8, width = 26, height = 26,
	 display = { boss = true, elite = true, rare = true, normal = false, trivial = false, player = false },
	 filename = '', __filename = 'ClassificationIcon',
} )

addon:RegisterWidgetDefaults( 'GlowBorder', {
	 acceptColors = true,
	 filename = '',			 
	 left = 0, top = 0, width = 0, height = 0,
	 color = { 0,0,0,0 },
	 layer = 'BACKGROUND', sublayer = 0,
} )

addon:RegisterWidgetDefaults( 'CastBar', {
	left = 0, top = -30, width = 130, height = 12,		
	barTexture = 'Blizzard',
	disableDecoration = false,
	backColor = { 0.2, 0.2, 0.2, 1 },
	borderSize = 1,
	borderColor = { 0, 0, 0, 1 },
	SpellIcon = {
		left = -50, top = 30,	width = 30, height = 30,
		borderSize  = 1,
		borderColor = { 0,0,0,1 },			
	},
	SpellText = {
		fontName = 'Friz Quadrata TT',
		fontColor = { 1,1,1,1 },
		fontSize =  9,
		fontFlags = 'OUTLINE',
		JustifyH = 'LEFT',
		JustifyV = 'MIDDLE',
		AdjustX = 0,
		AdjustY = 0,
	},
	TimeText = {
		fontName = 'Friz Quadrata TT',
		fontColor = { 1,1,1,1 },
		fontSize =  9,
		fontFlags = 'OUTLINE',
		JustifyH = 'RIGHT',
		JustifyV = 'MIDDLE',
		AdjustX = 0,
		AdjustY = 0,
	},
	Texture = {
		 filename = '',			 
		 left = 0, top = 0, width = 0, height = 0,
		 color = { 0,0,0,0 },
		 layer = 'BACKGROUND', sublayer = 0,
	}
} )

addon:RegisterWidgetDefaults( 'Auras', {
	left = -75, top = -30, 
	auraWidth = 22, auraHeight = 22, auraSpacing = 2,
	borderSize = 1,
	borderColor = { 0.3, 0.3, 0.3, 1 },
	TimeText = {
		disabled = false,
		fontName = 'Friz Quadrata TT',
		fontColor = { 1,1,1,1 },
		fontSize =  12,
		fontFlags = 'OUTLINE',
		JustifyH = 'RIGHT',
		JustifyV = 'MIDDLE',	
		AdjustX = 0,
		AdjustY = 0,
	},
	CountText = {
		disabled = false,
		fontName = 'Friz Quadrata TT',
		fontColor = { 1,1,1,1 },
		fontSize =  12,
		fontFlags = 'OUTLINE',
		JustifyH = 'RIGHT',
		JustifyV = 'MIDDLE',	
		AdjustX = 0,
		AdjustY = 0,
	},
} )
