local Options = KiwiPlatesOptions

local options = {}


options.header1 = { type = 'header', name = 'Health Low', order= 0 }

options.colorLow = {
	type = 'color',
	name = 'Low Health Color',
	--width = "full",		
	order = 10,
	disabled = function(info)
		return info.handler.db.percentLow<=0
	end,
}
	
options.percentLow = {
	type = 'range',
	name = 'Low Health Threshold',
	order = 20,
	step = 0.01,
	min = 0,
	max = 1,
	isPercent = true,
}

options.colorMedium = {
	type = 'color',
	name = 'Medium Health Color',
	order = 30,
	disabled = function(info)
		return info.handler.db.percentMedium <= info.handler.db.percentLow
	end,
}
	
options.percentMedium = {
	type = 'range',
	name = 'Medium Health Threshold',
	order = 40,
	step = 0.01,
	min = 0,
	max = 1,
	isPercent = true,
}

Options:MakeColorReceiversOptions(options)

Options:RegisterModuleOptions( 'HealthLow', options, { order = 50 }  )

Options:RegisterModuleDefaults( 'HealthLow', {
	percentLow  = 0.3,
	colorLow  = { 1,1,1 },
	percentMedium = 0.7,
	colorMedium  = { 1,1,1 },
	colorReceivers = {},
	colorPriority = 3,
})
