local addon   = KiwiPlates
local Options = KiwiPlatesOptions
	
Options:RegisterModuleOptions( 'Plates', {

	header1 = { type = 'header', name = 'Nameplates', order= 0 },
	
	alpha = {
		name = 'Default Opacity',
		desc = "Sets the opacity of the nameplates",
		order = 1,
		width = 'full',
		type = 'range',
		step = 0.01,
		min = 0,
		max = 1,
	},
	
	header2  = { type = 'header', name = 'Visibility', order= 2 },
	
	nameplateShowEnemies= {
		type = 'toggle',
		order = 3,
		tristate = true,
		name = 'Show enemy plates',
		set = function(info,value)
			info.handler.db.nameplateShowEnemies = value
			info.handler:OnChange(info)
			addon:UpdatePlateVisibility()
		end,
	},
	
	nameplateShowFriends = {
		type = 'toggle',
		order = 4,
		tristate = true,		
		name = 'Show friendly plates',
		set = function(info,value)
			info.handler.db.nameplateShowFriends = value
			info.handler:OnChange(info)
			addon:UpdatePlateVisibility()
		end
	},
	
	header3 = { type = 'header', name = '', order= 5 },
	
}, { order = 0, inline = true } )