local Options = KiwiPlatesOptions

local options = {}

options.header1 = { type = 'header', name = 'Opaque nameplates', order= 0 }

options.opaqueTarget = {
	type = 'toggle',
	width = 'full',
	order = 10,
	name = 'Target nameplate',
	desc = "Target nameplate is always full opaque. This option cannot be changed.",
	get = function() return true end,
}

options.opaqueWhenNoTarget = {
	type = 'toggle',
	width = 'full',		
	order = 11,
	name = 'All nameplates if no target exists',
	desc = "All nameplates full opaque if target does not exist",
}

options.opaqueHeader = { type = 'header', name = 'Color', order= 20, }

options.glowEnabled = {
	name = 'Enable Color',
	desc = 'Colorize specified widgets with the target color',
	type = 'toggle',
	order = 21,
	width = "normal",
}

options.glowColor = {
	name = 'Target Color',
	desc = 'Target Color',
	type = 'color',
	width = 'normal',
	hasAlpha = true,
	order = 22,
}	

Options:MakeColorReceiversOptions(options)

Options:RegisterModuleOptions( 'Target', options, { order = 10 }  )

Options:RegisterModuleDefaults( 'Target', {
	glowColor    = { 0, .8, 1, 1 },
	colorReceivers = {},
	colorPriority = 7,
	opaqueWhenNoTarget = true,
})
